Subject: bug#74219: 29.4; TRAMP uses the same ad-hoc proxy for every docker container on remote hosts

From: Artem Smushkov <[email-masked]>
Date: Mon, 11 Nov 2024 12:51:53 +0200

Hi Michael,

Thank you a lot! I will test it today or tomorrow.

On Sat, Nov 9 2024 at 10:40:37 AM +01:00:00, Michael Albinus 
<[email-masked]> wrote:
> Michael Albinus <[email-masked] 
> <mailto:[email-masked]>> writes:
> 
> Hi Artem,
> 
>>  That's not possible with Tramp. Not with the current design. The 
>> proxy
>>  definitions are kept internally, and they apply in reverse order of
>>  their appearance in the remote file names.
> 
> I've checked the implementation, and it looks like adding this feature
> is not as expensive as I thought. So I have implemented it. Pushed to
> both Emacs and Tramp git repo, master branch.
> 
> The Tramp manual has a new subsection "5.4.1 Using different proxies 
> for
> the same destination" which explains this. In short, you must set
> tramp-show-ad-hoc-proxies to t.
> 
> Do you have a chance to test it?
> 
> Best regards, Michael.